Debian Bug report logs - #141116
xfree86 builds fail on ppc

version graph

Package: xfree86; Maintainer for xfree86 is (unknown);

Reported by: Jack Howarth <howarth@bromo.msbb.uc.edu>

Date: Thu, 4 Apr 2002 02:48:01 UTC

Severity: normal

Found in version 4.1.0-15

Fixed in version xfree86/4.1.0-16

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: submit@bugs.debian.org
Subject: xfree86 builds fail on ppc
Date: Wed, 3 Apr 2002 21:32:51 -0500 (EST)
Package: xfree86
Version: 4.1.0-15
Severity: important 

The recent changes in patch #065 make this package unbuildable on ppc.
On my machine and voltaire, the following build failure occurs...

gcc -O2 -fsigned-char    -I../../../../../../../programs/Xserver/hw/xfree86/common -I../../../../../../../programs/Xserver/hw/xfree86/os-support -I. -I../../../../../../../programs/Xserver/include            -I../../../../../../../exports/include/X11 -I..
xf86drmSiS.c:69: conflicting types for `drm_sis_mem_t'
kernel/sis_drm.h:10: previous declaration of `drm_sis_mem_t'
xf86drmSiS.c:73: conflicting types for `drm_sis_agp_t'
kernel/sis_drm.h:14: previous declaration of `drm_sis_agp_t'
xf86drmSiS.c:77: conflicting types for `drm_sis_flip_t'
kernel/sis_drm.h:18: previous declaration of `drm_sis_flip_t'
make[9]: *** [xf86drmSiS.o] Error 1




Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 141116-done@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 141116-done@bugs.debian.org
Subject: Re: Bug#141116: xfree86 builds fail on ppc
Date: Wed, 3 Apr 2002 23:14:16 -0500
[Message part 1 (text/plain, inline)]
On Wed, Apr 03, 2002 at 09:32:51PM -0500, Jack Howarth wrote:
> Package: xfree86
> Version: 4.1.0-15
> Severity: important 
> 
> The recent changes in patch #065 make this package unbuildable on ppc.
> On my machine and voltaire, the following build failure occurs...

Sorry, you're going to have to build against the kernel headers provided
by libc6-dev.

There's nothing I can do about this until and unless Linux kernel guys
and/or glibc packagers for Debian don't make knowledge of kernel driver
internals the job of the application developer.

-- 
G. Branden Robinson                |      The noble soul has reverence for
Debian GNU/Linux                   |      itself.
branden@debian.org                 |      -- Friedrich Nietzsche
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 141116@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Ben Collins <bcollins@debian.org>, 139511@bugs.debian.org
Cc: Jack Howarth <howarth@bromo.msbb.uc.edu>, 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Thu, 4 Apr 2002 00:14:41 -0500
[Message part 1 (text/plain, inline)]
On Wed, Apr 03, 2002 at 11:54:54PM -0500, Ben Collins wrote:
> > I reiterate my stance that it isn't my package's job to know how the
> > underlying kernel defines its ioctls.  God gave us symbolic constants
> > for a reason.  XFree86 is not Linux-only software.
> 
> If the ioctl number changes, X will need to be recompiled anyway.

Fine.  It's still the kernel's bailiwick.

> You have to know the ioctl numbers.

Then we shouldn't have symbolic constants for them in the first place.

> It's not like this is a runtime change that can occur. Once it's done,
> it's done.
> 
> I suggest you keep the defines in a local header to your package. If the
> kernel supports the ioctl's, then it does. If not, then oh well.

You still haven't told me why the same kernel version shouldn't
consistently advertise the same things in its headers regardless of how
it was compiled (with or without CONFIG_DRM_SIS and CONFIG_AGP_SIS).

-- 
G. Branden Robinson                |     Q: How does a Unix guru have sex?
Debian GNU/Linux                   |     A: unzip;strip;touch;finger;mount;
branden@debian.org                 |        fsck;more;yes;fsck;fsck;fsck;
http://people.debian.org/~branden/ |        umount;sleep
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 141116@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: Branden Robinson <branden@debian.org>
Cc: 139511@bugs.debian.org, Jack Howarth <howarth@bromo.msbb.uc.edu>, 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Thu, 4 Apr 2002 00:17:34 -0500
On Thu, Apr 04, 2002 at 12:14:41AM -0500, Branden Robinson wrote:
> On Wed, Apr 03, 2002 at 11:54:54PM -0500, Ben Collins wrote:
> > > I reiterate my stance that it isn't my package's job to know how the
> > > underlying kernel defines its ioctls.  God gave us symbolic constants
> > > for a reason.  XFree86 is not Linux-only software.
> > 
> > If the ioctl number changes, X will need to be recompiled anyway.
> 
> Fine.  It's still the kernel's bailiwick.
> 
> > You have to know the ioctl numbers.
> 
> Then we shouldn't have symbolic constants for them in the first place.
> 
> > It's not like this is a runtime change that can occur. Once it's done,
> > it's done.
> > 
> > I suggest you keep the defines in a local header to your package. If the
> > kernel supports the ioctl's, then it does. If not, then oh well.
> 
> You still haven't told me why the same kernel version shouldn't
> consistently advertise the same things in its headers regardless of how
> it was compiled (with or without CONFIG_DRM_SIS and CONFIG_AGP_SIS).

Kernel headers != user space headers. You can't depend on anything from
them. They aren't meant to be a consistent interface to the kernel.

-- 
Debian     - http://www.debian.org/
Linux 1394 - http://linux1394.sourceforge.net/
Subversion - http://subversion.tigris.org/



Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 141116@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Herbert Xu <herbert@gondor.apana.org.au>, 139511@bugs.debian.org, 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Thu, 4 Apr 2002 13:30:16 -0500
[Message part 1 (text/plain, inline)]
On Thu, Apr 04, 2002 at 07:59:52PM +1000, Herbert Xu wrote:
> Branden Robinson <branden@debian.org> wrote:
> 
> > You still haven't told me why the same kernel version shouldn't
> > consistently advertise the same things in its headers regardless of how
> > it was compiled (with or without CONFIG_DRM_SIS and CONFIG_AGP_SIS).
> 
> Which kernel header file are you talking about?

sys/ioctl.h

Thanks for looking into this.

-- 
G. Branden Robinson                |     It's not a matter of alienating
Debian GNU/Linux                   |     authors.  They have every right to
branden@debian.org                 |     license their software however we
http://people.debian.org/~branden/ |     like.  -- Craig Sanders
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 141116@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Branden Robinson <branden@debian.org>
Cc: 139511@bugs.debian.org, 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Fri, 5 Apr 2002 07:29:30 +1000
On Thu, Apr 04, 2002 at 01:30:16PM -0500, Branden Robinson wrote:
> On Thu, Apr 04, 2002 at 07:59:52PM +1000, Herbert Xu wrote:
> > Branden Robinson <branden@debian.org> wrote:
> > 
> > > You still haven't told me why the same kernel version shouldn't
> > > consistently advertise the same things in its headers regardless of how
> > > it was compiled (with or without CONFIG_DRM_SIS and CONFIG_AGP_SIS).
> > 
> > Which kernel header file are you talking about?
> 
> sys/ioctl.h

That is not a kernel header...
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 141116@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Herbert Xu <herbert@gondor.apana.org.au>, 139511@bugs.debian.org
Cc: 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Thu, 4 Apr 2002 16:58:17 -0500
[Message part 1 (text/plain, inline)]
On Fri, Apr 05, 2002 at 07:29:30AM +1000, Herbert Xu wrote:
> On Thu, Apr 04, 2002 at 01:30:16PM -0500, Branden Robinson wrote:
> > On Thu, Apr 04, 2002 at 07:59:52PM +1000, Herbert Xu wrote:
> > > Branden Robinson <branden@debian.org> wrote:
> > > 
> > > > You still haven't told me why the same kernel version shouldn't
> > > > consistently advertise the same things in its headers regardless of how
> > > > it was compiled (with or without CONFIG_DRM_SIS and CONFIG_AGP_SIS).
> > > 
> > > Which kernel header file are you talking about?
> > 
> > sys/ioctl.h
> 
> That is not a kernel header...

No, but as I understand it, it includes pieces that are.

See the logs of #139511 for more information.

BTW, also see recent messages to debian-devel; there seems to be a
consensus on how best to handle this, though I'm still concerned that
kernel headers appear to look one way with certain config options
enabled, and a different way when they're not.

-- 
G. Branden Robinson                |     Never attribute to malice that
Debian GNU/Linux                   |     which can be adequately explained
branden@debian.org                 |     by stupidity.
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 141116@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Branden Robinson <branden@debian.org>
Cc: 139511@bugs.debian.org, 141116@bugs.debian.org
Subject: Re: Bug#139511: bug 141116
Date: Fri, 5 Apr 2002 08:07:03 +1000
On Thu, Apr 04, 2002 at 04:58:17PM -0500, Branden Robinson wrote:
>
> See the logs of #139511 for more information.

Now it's clear.  It's not the kernel that's changing behaviour depending
on CONFIG_DRM_SIS.  It's drm.h which I presume is in X.  I have no idea
why drm.h is checking CONFIG_DRM_SIS at all.  If it's using it to determine
whether the kernel supports SIS, then that is obviously wrong.  If it's
using it for its own purposes, then it should be renamed.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: fix for 141116
Date: Thu, 4 Apr 2002 19:25:39 -0500 (EST)
Branden,
    It looks to me that the problem is that xf86drmSiS.c and
kernel/sis_drm.h are both declaring the same typedefs. I was
able to eliminate that compiler error on my debian ppc sid
machine with the patch below...

-----------------------------------------------------------------------------
--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/sis_drm.h	
Tue May 22 17:25:46 2001
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/sis_drm.h.new	
Thu Apr  4 19:07:01 2002
@@ -2,6 +2,8 @@
 #ifndef _sis_drm_public_h_
 #define _sis_drm_public_h_
 
+#ifdef __KERNEL__
+
 typedef struct {
   int context;
   unsigned int offset;
@@ -16,8 +18,6 @@
 typedef struct {
   unsigned int left, right;
 } drm_sis_flip_t;
-
-#ifdef __KERNEL__
 
 int sis_fb_alloc(struct inode *inode, struct file *filp, unsigned int cmd,
 		  unsigned long arg);

------------------------------------------------------------------------
...which simply moves the kernel wrapper up in kernel/sis_drm.h so
the typedefs aren't duplicated. I don't see why this would break
any other arches as the typedefs should be parsed in xf86drmSiS.c.
I am doing a local build of 4.1.0-15 with this patch and will confirm
everything works later.
                         Jack



Information forwarded to xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 141116-quiet@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Herbert Xu <herbert@gondor.apana.org.au>
Cc: 139511-quiet@bugs.debian.org, 141116-quiet@bugs.debian.org
Subject: Re: Bug#141116: Bug#139511: bug 141116
Date: Thu, 4 Apr 2002 21:07:13 -0500
[Message part 1 (text/plain, inline)]
On Fri, Apr 05, 2002 at 08:07:03AM +1000, Herbert Xu wrote:
> Now it's clear.  It's not the kernel that's changing behaviour depending
> on CONFIG_DRM_SIS.  It's drm.h which I presume is in X.  I have no idea
> why drm.h is checking CONFIG_DRM_SIS at all.  If it's using it to determine
> whether the kernel supports SIS, then that is obviously wrong.  If it's
> using it for its own purposes, then it should be renamed.

It was my understanding that XFree86 ships Linux kernel module code that
the Linux kernel guys periodically sync up with.  My packages don't
build the kernel modules that people use for the direct rendering kernel
modules; those come from Linux kernel packages, and as you can see from
the thread on debian-devel, it was my presumption that it was the
kernel's job to supply headers corresponding to the current state of the
game.  The fact that an XFree86 compile works when built against a
libc6-dev that was built against one set of kernel headers, and breaks
when built against a libc6-dev that was built against another set of
kernel headers, I took as evidence that something else on the system was
defining the ioctl()'s.  We can in fact see this in the buildd logs for
4.1.0-15 on powerpc.

Should we try to ensure that Debian's glibc builds are consistent in
this respect?  That should prevent this sort of thing from recurring in
the future.  Not too many people build their own glibc.

However, I have to admit to some confusion as to why SiS DRM stuff is
treated differently from the DRM stuff for other chipsets.

-- 
G. Branden Robinson                |    It was a typical net.exercise -- a
Debian GNU/Linux                   |    screaming mob pounding on a greasy
branden@debian.org                 |    spot on the pavement, where used to
http://people.debian.org/~branden/ |    lie the carcass of a dead horse.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: Re: Bug#141116
Date: Thu, 4 Apr 2002 21:50:05 -0500 (EST)
Branden,
    Okay. I can confirm that the patch I proposed allows XFree86-4.1.0-15
to build cleanly on debian ppc sid. The built packages install fine and
run with no problems.
                          Jack



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: re: Bug#141116
Date: Sat, 6 Apr 2002 09:17:41 -0500 (EST)
Branden,
    Oh, I see now that the problem is indeed in the patch
065_sis_drm_ioctl_kludge.diff. It seems to me that the fix
is to simply remove...

+typedef struct {
+  int context;
+  unsigned int offset;
+  unsigned int size;
+  unsigned int free;
+} drm_sis_mem_t;
+
+typedef struct {
+  unsigned int offset, size;
+} drm_sis_agp_t;
+
+typedef struct {
+  unsigned int left, right;
+} drm_sis_flip_t;
+

from that patch since these declarations already appear in the file
xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/sis_drm.h.
Of course the previously suggested patch would not be used. Does
this build on i386? I am rather concerned why we are the only arch
tickling this as it seems all the arches should be seeing this
duplicate typedef happening and cough as well.
                           Jack
ps it doesn't look like the other ioctl defines in that patch will be
a problem at all.



Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #65 received at 141116@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Jack Howarth <howarth@bromo.msbb.uc.edu>, 141116@bugs.debian.org
Subject: Re: Bug#141116:
Date: Sat, 6 Apr 2002 21:13:34 -0500
[Message part 1 (text/plain, inline)]
On Sat, Apr 06, 2002 at 09:17:41AM -0500, Jack Howarth wrote:
> Branden,
>     Oh, I see now that the problem is indeed in the patch
> 065_sis_drm_ioctl_kludge.diff. It seems to me that the fix
> is to simply remove...
> 
> +typedef struct {
> +  int context;
> +  unsigned int offset;
> +  unsigned int size;
> +  unsigned int free;
> +} drm_sis_mem_t;
> +
> +typedef struct {
> +  unsigned int offset, size;
> +} drm_sis_agp_t;
> +
> +typedef struct {
> +  unsigned int left, right;
> +} drm_sis_flip_t;
> +
> 
> from that patch since these declarations already appear in the file
> xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/sis_drm.h.

Please sit back for five minutes and ask yourself why the above was part
of the patch in the first place.

XFree86 wouldn't build WITHOUT this patch on i386 with the current
libc6-dev because the drm_sis_mem_t type wasn't defined.  Also, it does
not appear that you have read the thread on the debian-devel mailing
list that discusses this issue, or you'd be aware of Daniel Jacobowitz's
recommendation regarding this type (which isn't "just take it out").

I do not patch things like the server's DRM code gratuitously.

You're getting back into "well, I've only just started paying attention
to something within the past two days, but I've decided that people
who've been working with it for years are completely wrong" mode, for
which I came down on you when you poked your nose into the SDL library
and static X extension library linking issue.

A word of advice: a good way to get along with Debian Developers is to
assume that at least some of them possess as least some modicum of
competence.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |      If encryption is outlawed, only
branden@debian.org                 |      outlaws will @goH7Ok=<q4fDj]Kz?.
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #70 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: Re: Bug#141116
Date: Sat, 6 Apr 2002 22:10:21 -0500 (EST)
Branden,
    Ok, I understand this better now. The inclusion of 
/usr/include/linux/autoconf.h by glibc is quite insane.
Its just not making a header depend on a specific kernel
revision...its making a header depend on a particular
configuration of a specific version of a kernel.
With as many arches as we this is bound to make xfree86
unmaintainable. It would seem the only thing one could
do is try to save the state of CONFIG_DRM_SIS in drm.h
before linux/config.h and thus linux/autoconf.h get
included. Once those includes are finished restore
the previous state of CONFIG_DRM_SIS. Otherwise you will
always have failures depending on whether a particular
arch's kernel maintainer is building SiS drm support.
                                  Jack



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #75 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: Re: Bug#141116
Date: Sun, 7 Apr 2002 03:19:52 -0400 (EDT)
Branden,
    Okay. How about this patch applied to 4.1.0-15. It makes certain
that when drm.h includes linux/config.h (which in turn includes
linux/autoconf.h) that the current status of the CONFIG_DRM_SIS is
maintained. The patch also regresses the typedefs added to
xf86drmSiS.c (but not the ioctls) since the typedefs will be provided
by sis_drm.h (through drm.h) since CONFIG_DRM_SIS is maintained.
As far as I can see, only by decoupling the build from whatever 
linux/autoconf.h might have for CONFIG_DRM_SIS can you be sure the
build will always succeed.
                     Jack
----------------------------------------------------------------------
--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c	Sun Apr  7 00:31:22 2002
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c.new	
Sun Apr  7 00:32:36 2002
@@ -61,21 +61,6 @@
 #define SIS_IOCTL_FLIP_INIT		DRM_IO(  0x49)
 #define SIS_IOCTL_FLIP_FINAL		DRM_IO(  0x50)
 
-typedef struct {
-  int context;
-  unsigned int offset;
-  unsigned int size;
-  unsigned int free;
-} drm_sis_mem_t;
-
-typedef struct {
-  unsigned int offset, size;
-} drm_sis_agp_t;
-
-typedef struct {
-  unsigned int left, right;
-} drm_sis_flip_t;
-
 Bool drmSiSAgpInit(int driSubFD, int offset, int size)
 {
    drm_sis_agp_t agp;
--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/drm.h	Thu May 31 22:24:18 2001
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/drm.h.new	
Sat Apr  6 22:22:50 2002
@@ -36,7 +36,14 @@
 #define _DRM_H_
 
 #if defined(__linux__)
+#undef  HOLD_CONFIG_DRM_SIS
+#if defined(CONFIG_DRM_SIS)
+#define HOLD_CONFIG_DRM_SIS
+#endif
 #include <linux/config.h>
+#if defined(HOLD_CONFIG_DRM_SIS)
+#define CONFIG_DRM_SIS
+#endif
 #include <asm/ioctl.h>		/* For _IO* macros */
 #define DRM_IOCTL_NR(n)	     _IOC_NR(n)
 #elif defined(__FreeBSD__)
----------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #80 received at 141116@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116@bugs.debian.org
Subject: Re: Bug#141116
Date: Sun, 7 Apr 2002 19:58:17 -0400 (EDT)
Branden,
     Ani Joshi confirmed that the CONFIG_DRM_SIS doesn't appear in
drm.h in the XFree86 4.2.0 source tree. It appears that on ppc this
would be sufficient and cleaner than the previous patch.
                                             Jack

--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c	Sun Apr  7 00:31:22 2002
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c.new	
Sun Apr  7 00:32:36 2002
@@ -61,21 +61,6 @@
 #define SIS_IOCTL_FLIP_INIT		DRM_IO(  0x49)
 #define SIS_IOCTL_FLIP_FINAL		DRM_IO(  0x50)
 
-typedef struct {
-  int context;
-  unsigned int offset;
-  unsigned int size;
-  unsigned int free;
-} drm_sis_mem_t;
-
-typedef struct {
-  unsigned int offset, size;
-} drm_sis_agp_t;
-
-typedef struct {
-  unsigned int left, right;
-} drm_sis_flip_t;
-
 Bool drmSiSAgpInit(int driSubFD, int offset, int size)
 {
    drm_sis_agp_t agp;
--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c	Sun Apr  7 15:13:34 2002
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmSiS.c.new	
Sun Apr  7 15:16:50 2002
@@ -43,9 +43,7 @@
 #include <sys/sysmacros.h>	/* for makedev() */
 #endif
 #include "xf86drm.h"
-#define CONFIG_DRM_SIS
 #include "drm.h"
-#undef CONFIG_DRM_SIS
 
 /*
  * Debian kludge because glibc refuses to let us see these ioctl's.
--- xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/drm.h	Thu May 31 22:24:18 2001
+++ xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/drm.h.new	
Sun Apr  7 15:14:55 2002
@@ -104,9 +104,7 @@
 #include "i810_drm.h"
 #include "r128_drm.h"
 #include "radeon_drm.h"
-#ifdef CONFIG_DRM_SIS
 #include "sis_drm.h"
-#endif
 
 typedef struct drm_version {
 	int    version_major;	  /* Major version			    */




Message sent on to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Bug#141116. Full text and rfc822 format available.

Message #83 received at 141116-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 141116-submitter@bugs.debian.org
Subject: Re: Bug#141116:
Date: Mon, 8 Apr 2002 13:13:14 -0500
[Message part 1 (text/plain, inline)]
On Sun, Apr 07, 2002 at 07:58:17PM -0400, Jack Howarth wrote:
> Branden,
>      Ani Joshi confirmed that the CONFIG_DRM_SIS doesn't appear in
> drm.h in the XFree86 4.2.0 source tree. It appears that on ppc this
> would be sufficient and cleaner than the previous patch.
>                                              Jack

Just to confirm, you intend this patch to be used in conjunction with
existing patch #065, right?

If so, I'll put it in 4.1.0-16.

If not, I'll need a replacement for patch #065.

Thanks for your efforts.

-- 
G. Branden Robinson                |    Build a fire for a man, and he'll
Debian GNU/Linux                   |    be warm for a day.  Set a man on
branden@debian.org                 |    fire, and he'll be warm for the
http://people.debian.org/~branden/ |    rest of his life. - Terry Pratchett
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Extra info received and filed, but not forwarded. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #88 received at 141116-quiet@bugs.debian.org (full text, mbox):

From: Jack Howarth <howarth@bromo.msbb.uc.edu>
To: 141116-quiet@bugs.debian.org, Branden Robinson <branden@debian.org>
Subject: Re: Bug#141116:
Date: Mon, 8 Apr 2002 15:21:32 -0400 (EDT)
Branden,
   Yes the last patch, which removes the CONFIG_DRM_SIS wrappers,
is meant to be applied on top of all the other patches in 4.1.0-15.
Note that it does regress out the typedefs from the #065 patch since
elimination of the CONFIG_DRM_SIS wrappers insures that those
typedefs will always be defined.
         Thanks in advance.
                                Jack



Message #89 received at 141116-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 141116-close@bugs.debian.org
Subject: Bug#141116: fixed in xfree86 4.1.0-16
Date: Tue, 16 Apr 2002 13:17:50 -0400
We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.1.0-16_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.1.0-16_i386.deb
libdps-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.1.0-16_i386.deb
libdps1-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.1.0-16_i386.deb
libdps1_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libdps1_4.1.0-16_i386.deb
libxaw6-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.1.0-16_i386.deb
libxaw6-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.1.0-16_i386.deb
libxaw6_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw6_4.1.0-16_i386.deb
libxaw7-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.1.0-16_i386.deb
libxaw7-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.1.0-16_i386.deb
libxaw7_4.1.0-16_i386.deb
  to pool/main/x/xfree86/libxaw7_4.1.0-16_i386.deb
proxymngr_4.1.0-16_i386.deb
  to pool/main/x/xfree86/proxymngr_4.1.0-16_i386.deb
twm_4.1.0-16_i386.deb
  to pool/main/x/xfree86/twm_4.1.0-16_i386.deb
x-window-system-core_4.1.0-16_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.1.0-16_i386.deb
x-window-system_4.1.0-16_all.deb
  to pool/main/x/xfree86/x-window-system_4.1.0-16_all.deb
xbase-clients_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.1.0-16_i386.deb
xdm_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xdm_4.1.0-16_i386.deb
xfonts-100dpi-transcoded_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.1.0-16_all.deb
xfonts-100dpi_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.1.0-16_all.deb
xfonts-75dpi-transcoded_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.1.0-16_all.deb
xfonts-75dpi_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.1.0-16_all.deb
xfonts-base-transcoded_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.1.0-16_all.deb
xfonts-base_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-base_4.1.0-16_all.deb
xfonts-cyrillic_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.1.0-16_all.deb
xfonts-pex_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-pex_4.1.0-16_all.deb
xfonts-scalable_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.1.0-16_all.deb
xfree86-common_4.1.0-16_all.deb
  to pool/main/x/xfree86/xfree86-common_4.1.0-16_all.deb
xfree86_4.1.0-16.diff.gz
  to pool/main/x/xfree86/xfree86_4.1.0-16.diff.gz
xfree86_4.1.0-16.dsc
  to pool/main/x/xfree86/xfree86_4.1.0-16.dsc
xfs_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xfs_4.1.0-16_i386.deb
xfwp_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xfwp_4.1.0-16_i386.deb
xlib6g-dev_4.1.0-16_all.deb
  to pool/main/x/xfree86/xlib6g-dev_4.1.0-16_all.deb
xlib6g_4.1.0-16_all.deb
  to pool/main/x/xfree86/xlib6g_4.1.0-16_all.deb
xlibmesa-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.1.0-16_i386.deb
xlibmesa3-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.1.0-16_i386.deb
xlibmesa3_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.1.0-16_i386.deb
xlibosmesa-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.1.0-16_i386.deb
xlibosmesa3-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibosmesa3-dbg_4.1.0-16_i386.deb
xlibosmesa3_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibosmesa3_4.1.0-16_i386.deb
xlibs-dbg_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibs-dbg_4.1.0-16_i386.deb
xlibs-dev_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibs-dev_4.1.0-16_i386.deb
xlibs-pic_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibs-pic_4.1.0-16_i386.deb
xlibs_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xlibs_4.1.0-16_i386.deb
xmh_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xmh_4.1.0-16_i386.deb
xnest_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xnest_4.1.0-16_i386.deb
xprt_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xprt_4.1.0-16_i386.deb
xserver-common_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xserver-common_4.1.0-16_i386.deb
xserver-xfree86_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.1.0-16_i386.deb
xspecs_4.1.0-16_all.deb
  to pool/main/x/xfree86/xspecs_4.1.0-16_all.deb
xterm_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xterm_4.1.0-16_i386.deb
xutils_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xutils_4.1.0-16_i386.deb
xvfb_4.1.0-16_i386.deb
  to pool/main/x/xfree86/xvfb_4.1.0-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 141116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 16 Apr 2002 06:39:42 -0500
Source: xfree86
Binary: xserver-common xlibs-dev xfs xfree86-common xfonts-pex x-window-system xlibmesa-dev xspecs xlibmesa3 xfonts-cyrillic xlibmesa3-dbg xserver-xfree86 xlibs-dbg libxaw6 libxaw7 xterm xvfb xfonts-scalable xfonts-75dpi xlib6g proxymngr libxaw6-dev xlibs-pic libdps1-dbg xlib6g-dev xfonts-base xutils libxaw7-dev xnest xlibs libxaw6-dbg xmh lbxproxy libxaw7-dbg xfonts-base-transcoded xbase-clients xprt xlibosmesa3 x-window-system-core xlibosmesa-dev twm xfwp xfonts-100dpi-transcoded xlibosmesa3-dbg xfonts-100dpi xdm libdps-dev xfonts-75dpi-transcoded libdps1
Architecture: source all i386
Version: 4.1.0-16
Distribution: unstable
Urgency: high
Maintainer: Branden Robinson <branden@debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6) (unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-pex - fonts for minimal PEX support in X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlib6g     - pseudopackage providing X libraries
 xlib6g-dev - pseudopackage providing X library development files
 xlibmesa-dev - XFree86 version of Mesa 3D graphics library development files
 xlibmesa3  - XFree86 version of Mesa 3D graphics library
 xlibmesa3-dbg - XFree86 version of Mesa 3D graphics library (unstripped)
 xlibosmesa-dev - Mesa/XFree86 off-screen rendering library development files
 xlibosmesa3 - Mesa/XFree86 off-screen rendering library
 xlibosmesa3-dbg - Mesa/XFree86 off-screen rendering library (unstripped)
 xlibs      - X Window System client libraries
 xlibs-dbg  - X Window System client libraries (unstripped)
 xlibs-dev  - X Window System client library development files
 xlibs-pic  - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 136615 136937 138325 140374 141116 141357 141412 141413 141415 141636 142005 142538 142542
Changes: 
 xfree86 (4.1.0-16) unstable; urgency=high
 .
   * patch #000_stolen_from_HEAD:
     - Pitch calculation updates for the r128 driver (#5074, Michel Dänzer).
   * patch #000_stolen_from_HEAD_xdm:
     - Fix bug in XDMCP implementation that causes sessions to close after
       approximately 48 days. (Keith Packard)
     - Fix absence of signal handling for interrupted reads from pipe in
       Xwilling code. (#A.728, Darren Marshall) (Closes: #140374)
   * patch #065: glibc-header-dependent SiS DRI build fix; updated comments to
     point to Debian mailing list discussion of this patch so that people can
     figure out what's going on
   * patch #066: supplementary patch to #065, which should handle the cases
     that #065 does not (thanks, Jack Howarth) (Closes: #141116)
   * patch #067: in the ELF module loader, do not assume that memory returned
     by malloc() is marked executable (needed by forthcoming Linux 2.4.18 for
     IA-64) (thanks, Bdale Garbee and David Mosberger)
   * patch #068: treat errno of ENODEV as non-fatal when trying to access I/O
     ports; based on a patch by Philip Blundell (Closes: #141357)
   * patch #312:
     - XKB keycodes file for Acorn RiscPC's, courtesy of Philip Blundell
   * patch #400: resynced with patch #068
 .
   * debian/MANIFEST.*: updated to include new XKB RiscPC keycodes file
   * debian/MANIFEST.s390: updated yet again (thanks, Gerhard Tonn)
   * debian/control:
     - xserver-common now declares a versioned conflict against all XFree86 3.x
       X server packages prior to 3.3.6-35, due to the X server wrapper's
       changed expectations about how /etc/X11/X should be handled
       (Closes: #141636)
     - change architecture of x-window-system-core from "all" to "any" so that
       all that XWSC_SPECIAL_DEPENDS stuff actually has a chance to work; also
       updated this package's extended description (thanks, Gerhard Tonn)
   * debian/local/FAQ: added new question; "Why does the X server take up so
     much memory?"
   * debian/rules:
     - add special logic to install README and README.fonts files due to
       apparent bug in upstream Imakefile (thanks, Gerhard Tonn)
     - pass dpkg-gencontrol the substvar for x-window-system-core in the
       binary-arch rule, not binary-indep, now that x-window-system-core is
       architecture: any
   * debian/scripts/vars.s390: new variable, NOT_BUILDING_XF86_SERVER, used by
     above debian/rules patch (thanks, Gerhard Tonn)
   * debian/xdm.templates.pl: added Polish translation (thanks, Marcin Owsiany)
     (Closes: #142538)
   * debian/xdm.templates.ru: added Russian translation (thanks, Ilgiz
     Kalmetev) (Closes: #136937)
   * debian/xdm.templates.sv: added Swedish translation (thanks, Peter Toneby)
     (Closes: #141413)
   * debian/xlibs.{files.*,conffile}: updated to include new XKB RiscPC
     keycodes file
   * debian/xserver-common.templates.pl: added Polish translation (thanks,
     Marcin Owsiany) (Closes: #142542)
   * debian/xserver-common.templates.ru: added Russian translation (thanks,
     Ilgiz Kalmetev) (Closes: #136615)
   * debian/xserver-common.templates.sv: added Swedish translation (thanks,
     Peter Toneby) (Closes: #141415)
   * debian/xserver-xfree86.config:
     - don't ignore autodetected mouse protocol (Closes: #142005)
     - if mouse autodetection fails, set template to false in the case question
       doesn't get asked (for noninteractive configuration)
     - don't ask autodetection questions if reconfiguring the package
   * debian/xserver-xfree86.templates.ru: added Russian translation (thanks,
     Ilgiz Kalmetev) (Closes: #138325)
   * debian/xserver-xfree86.templates.sv: added Swedish translation (thanks,
     Peter Toneby) (Closes: #141412)
Files: 
 7a52b09f2c25018db08cfb65c57f684f 1543 x11 optional xfree86_4.1.0-16.dsc
 17bb34008689d80ee3aa9ddb7fe940e1 1563900 x11 optional xfree86_4.1.0-16.diff.gz
 e2a287eb8046a15a3cb640f62dc18d47 131168 x11 optional lbxproxy_4.1.0-16_i386.deb
 bf9d2a2d5d524c55098f035dac8cb4a2 167198 libs optional libdps1_4.1.0-16_i386.deb
 5446eedc4c9fa6695f68cba33fddd5cd 408172 devel extra libdps1-dbg_4.1.0-16_i386.deb
 e977d5b9b113ff9c6e100d2c6bd1b06b 228414 devel optional libdps-dev_4.1.0-16_i386.deb
 10f9a7f92d66a67b444f07046c3fe836 165144 libs optional libxaw6_4.1.0-16_i386.deb
 a9087cadd9388591d117e218b47b1d7a 332928 devel extra libxaw6-dbg_4.1.0-16_i386.deb
 7662aa850140ca8c90fd8221ffeb70d7 291336 devel extra libxaw6-dev_4.1.0-16_i386.deb
 43116860e30392b1e35345e54e1d3486 212010 libs optional libxaw7_4.1.0-16_i386.deb
 834d4204582d4a90137e66bbb9c4fb66 432594 devel extra libxaw7-dbg_4.1.0-16_i386.deb
 219375721ab8ccf709ae47e7f6a2292f 291222 devel optional libxaw7-dev_4.1.0-16_i386.deb
 1b3985f45884110fc9797e17a2b28f3b 75066 x11 optional proxymngr_4.1.0-16_i386.deb
 16d136dd248f12810f424a0156bdf6ea 150398 x11 optional twm_4.1.0-16_i386.deb
 c90fa9c5cc06cc7db1c64a0c32497cc7 1455004 x11 optional xbase-clients_4.1.0-16_i386.deb
 3ffedc47844a14bad58d90325687998c 169804 x11 optional xdm_4.1.0-16_i386.deb
 0e585ac73bb96e81e4136ee3f3c07b14 274272 x11 optional xfs_4.1.0-16_i386.deb
 a06dd797074ef7352f28f02be9f03f8f 79670 x11 optional xfwp_4.1.0-16_i386.deb
 a9751b16c7e78c38286e03d5c211ef18 3421234 libs optional xlibmesa3_4.1.0-16_i386.deb
 640c86f3fd9b4b1b9207031eec920f35 864502 devel extra xlibmesa3-dbg_4.1.0-16_i386.deb
 08b240307f569b7f087204e782b50202 551326 devel optional xlibmesa-dev_4.1.0-16_i386.deb
 bd86b5916030ded768acdde21915128d 461350 libs optional xlibosmesa3_4.1.0-16_i386.deb
 fd2a1cbe197df160d5198a6d622f17d1 962944 devel extra xlibosmesa3-dbg_4.1.0-16_i386.deb
 bb61b179924385a2841b887c64005e69 521226 devel optional xlibosmesa-dev_4.1.0-16_i386.deb
 481ab66b6ba4f9e5eb06f4b8e8a76a3f 1222990 libs optional xlibs_4.1.0-16_i386.deb
 521c119a1313acee590c202ad711bcfd 2533594 devel extra xlibs-dbg_4.1.0-16_i386.deb
 8d1f3c5eca389794bb51c2e4ab40b8dd 2722698 devel optional xlibs-dev_4.1.0-16_i386.deb
 646decfeaa0ad70a61e28f45f97a2259 72100 devel optional xlibs-pic_4.1.0-16_i386.deb
 c1a10ebfa9a23dc17d8347743b45ca6d 123232 mail extra xmh_4.1.0-16_i386.deb
 7f65c11609c18989923270fa20a2d4fc 1392134 x11 optional xnest_4.1.0-16_i386.deb
 0ad1d2f0240201ea9ab8547757c32fbd 1121812 x11 optional xprt_4.1.0-16_i386.deb
 f1ddf7dd447866c6c7c392f5400e1943 218346 x11 optional xserver-common_4.1.0-16_i386.deb
 af273eb4965e89bf62496c7353ec3004 4333788 x11 optional xserver-xfree86_4.1.0-16_i386.deb
 70dc84fd35f1d482c1e581e36228cf66 483374 x11 optional xterm_4.1.0-16_i386.deb
 f6ade6ef7ec5c913537c41590ff618a2 600690 x11 optional xutils_4.1.0-16_i386.deb
 736d75019080bd88a6a0100b2cb9521e 1495266 x11 optional xvfb_4.1.0-16_i386.deb
 ed369431e19261c079ecba1fd743be3b 59140 x11 optional x-window-system-core_4.1.0-16_i386.deb
 727c979f082b690403fd03341a15824c 4257470 x11 optional xfonts-100dpi_4.1.0-16_all.deb
 fa7330dd157f3e99ac8401649e490203 8088448 x11 optional xfonts-100dpi-transcoded_4.1.0-16_all.deb
 3d738bc1ce7718fac5bae8183654f204 3735204 x11 optional xfonts-75dpi_4.1.0-16_all.deb
 1675f3eeb506d29e57153917c6349fea 6964982 x11 optional xfonts-75dpi-transcoded_4.1.0-16_all.deb
 17b3219cd49c8335d3445afb3567355a 4978970 x11 optional xfonts-base_4.1.0-16_all.deb
 3eb7f5c7ec01202c0b65d254c8c4f363 1098038 x11 optional xfonts-base-transcoded_4.1.0-16_all.deb
 e46bf1455a7d03b6975b1ecc2a713b0c 430782 x11 optional xfonts-cyrillic_4.1.0-16_all.deb
 126ebeb1b4f45312f7b2f1d0d1b0bf53 67382 x11 optional xfonts-pex_4.1.0-16_all.deb
 a3518f5ab44eb92bd7d944f95ba9f272 794864 x11 optional xfonts-scalable_4.1.0-16_all.deb
 1509fbe84126485899cb30def55facf6 544646 x11 optional xfree86-common_4.1.0-16_all.deb
 f85ca4967a5ca712b756592893bab26d 4163902 x11 optional xspecs_4.1.0-16_all.deb
 0a978a86d7fbdfbc91519824329c084d 59130 libs optional xlib6g_4.1.0-16_all.deb
 b29731d86cee9a76261cf8cad8fc0670 58932 devel optional xlib6g-dev_4.1.0-16_all.deb
 3c241d6f86bcc32e3f969c1abb24433d 58972 x11 optional x-window-system_4.1.0-16_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjy8G3YACgkQ6kxmHytGonx3wwCePn85wQ7cznC7Z7V9fYIB8xi4
Q3AAni3qd0eaMPX8wi6BhcC1hhhBgND7
=mP6g
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to "panagrow@yahoo.com" <panagrow@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #94 received at 141116@bugs.debian.org (full text, mbox):

From: "panagrow@yahoo.com" <panagrow@yahoo.com>
To: "sr2" <panagrow@yahoo.com>
Subject: Free Online Seminar on Developing a Dynamic E-business Strategy!
Date: Thu, 18 Apr 2002 20:46:40 -0700
[Message part 1 (text/plain, inline)]
Space is Limited for the April 25th Seminar. Register Today!  
Discover how an integrated web solution suite can deliver VARs, Web Agencies, and System Integrators more effective solutions for their customer base while ensuring opportunities for revenue and greater ROI. The seminar will explore how to:

Speed Time-to-market and Reduce Development Costs 

Allocate Resources Better and Increase Revenue 

Reduce Cost of Ownership and Increase Customer Satisfaction 

Leverage Reef Alliances with Industry Leaders 

Win New Business 

WHAT: Free Online Seminar for VARs, Web Agencies and System Integrators
WHEN: Thursday - April 25, 9am to 10am PST
WHERE: Your Web Browser (Internet Explorer or Netscape--Your choice!) 

Click Here to Register
 
[Message part 2 (text/html, inline)]

Information forwarded to xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to "panagrow@yahoo.com" <panagrow@yahoo.com>:
Extra info received and filed, but not forwarded. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message sent on to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Bug#141116. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to "Jake Swanson" <jakerswanson3@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #108 received at 141116@bugs.debian.org (full text, mbox):

From: "Jake Swanson" <jakerswanson3@yahoo.com>
To: "tt1" <jakerswanson3@yahoo.com>
Subject: I.T. Certification Programs
Date: Wed, 24 Apr 2002 16:02:16 -0700
[Message part 1 (text/plain, inline)]
I noticed your email address on a technology list serve related to I.T. certification. With your permission, we would like to send you information regarding new training solutions – including 14-day instructor-led BootCamps for certifications such as the MCSE, MCSA, CCNA, CCNP and more. To provide us a little bit of information on yourself so that we can send you the right details, please click here. 

Sincerely, 


Jake Swanson
[Message part 2 (text/html, inline)]

Message #109 received at 141116-done@bugs.debian.org (full text, mbox):

From: "Jake Swanson" <jakerswanson3@yahoo.com>
To: "tt1" <jakerswanson3@yahoo.com>
Subject: I.T. Certification Programs
Date: Wed, 24 Apr 2002 16:02:45 -0700
[Message part 1 (text/plain, inline)]
I noticed your email address on a technology list serve related to I.T. certification. With your permission, we would like to send you information regarding new training solutions – including 14-day instructor-led BootCamps for certifications such as the MCSE, MCSA, CCNA, CCNP and more. To provide us a little bit of information on yourself so that we can send you the right details, please click here. 

Sincerely, 


Jake Swanson
[Message part 2 (text/html, inline)]

Information forwarded to xfree86@packages.qa.debian.org:
Bug#141116; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to "Jake Swanson" <jakerswanson3@yahoo.com>:
Extra info received and filed, but not forwarded. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message sent on to Jack Howarth <howarth@bromo.msbb.uc.edu>:
Bug#141116. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:52:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.